package complete;

import java.awt.Dimension;
import java.awt.FlowLayout;

import javax.swing.*;

public class GUIExample {

	public static void main(String[] args) {
		JFrame f = new JFrame("gui");
		f.setLayout(new FlowLayout());

		/** Add some components */
		f.add(new JLabel("hello"));
		f.add(new JButton("push me"));
		f.add(new JTextField(10));

		/** Add a box */
		Box b = new Box(BoxLayout.PAGE_AXIS);
		b.add(new JButton("foo"));
		b.add(new JButton("bar"));
		b.add(new JButton("baz"));
		f.add(b);
		
		/** Add a drawing */
		f.add(new HappyFace());

		/** Create menu */
		JMenuBar bar = new JMenuBar();
		
		JMenu file = new JMenu("File");
		file.add(new JMenuItem("Save"));
		file.add(new JMenuItem("Close"));
		bar.add(file);
		
		JMenu edit = new JMenu("Edit");
		edit.add(new JMenuItem("Copy"));
		bar.add(edit);
		
		f.setJMenuBar(bar);
		
		/** Lay everything out. */
		f.setPreferredSize(new Dimension(500,500));
		f.pack();
		
		/** Make it go! */
		f.setVisible(true);
	}
}
